

/*----------------------------------
    SECTION TITLE 
    -----------------------------------*/
.section-title-wrap {
  position: relative;
  margin-bottom: 45px;
}
.section-title-wrap .section-title {
  display: inline-block;
  position: relative;
  margin: 0 0 30px;
  text-transform: capitalize;
  line-height: 1.2;
  font-size: clamp(24px, 2.5vw, 48px);
}

/* .section-title-wrap .section-title::before,
.section-title-wrap .section-title::after {
  content: "";
  position: absolute;
  bottom: -10px;
  width: 20px;
  height: 8px;
  border-radius: 4px;
  background-clip: padding-box; 
  background-color: #fed104;
  -webkit-animation: animate 6s linear infinite;
  animation: animate 6s linear infinite;
}  */
/* .section-title-wrap .section-title::before {
  right: 50%;
  margin-right: 4px;
}
.section-title-wrap .section-title::after {
  left: 50%;
  margin-left: 4px;
} */
.section-title-wrap p {
  display: block;
  font-size: clamp(14px, 0.95vw, 18px);
  max-width: 1200px;
  text-align: center;
  margin: 0 auto;
}

@-webkit-keyframes animate {
  0% {
    width: 20px;
  }
  25% {
    width: 50px;
  }
  50% {
    width: 50px;
  }
  75% {
    width: 100px;
  }
  100% {
    width: 100px;
  }
}

@keyframes animate {
  0% {
    width: 20px;
  }
  25% {
    width: 50px;
  }
  50% {
    width: 50px;
  }
  75% {
    width: 100px;
  }
  100% {
    width: 100px;
  }
}

/*-------------------------------
  SERVICES
  -------------------------------*/
.maha-service-wrap {
  position: relative;
  padding: 80px 0;
}

@media screen and (max-width:1440px) {
  .maha-service-wrap {
    padding: 50px 0;
  }
}

@media screen and (max-width:991px) {
  .maha-service-wrap {
    padding: 30px 0;
  }
}




.maha-service-wrap .service-box .box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-flow: column nowrap;
  flex-flow: column nowrap;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  height: 220px;
  width: 220px;
  margin: auto;
  overflow: hidden;
  position: relative;
  border: 6px solid var(--color-primary);
  border-radius: 100%;
}
.maha-service-wrap .service-box h5 {
  margin-top: 25px;
  text-transform: uppercase;
  font-size: clamp(16px, 1.15vw, 22px);
  font-family: var(--title-font-family);
}
.maha-service-wrap .service-box a {
  color: #243a48;
}
.maha-service-wrap .service-box a:hover {
  color: var(--color-second);
}
.maha-service-wrap .service-box p {
  display: inline-block;
  margin-bottom: 15px;
  max-width: 500px;
}
.maha-service-wrap .service-box:hover .spin {
  border: 0;
}
.maha-service-wrap .service-box:hover .spin::before {
  border-bottom-color: var(--color-second);
  border-right-color: var(--color-second);
  border-top-color: var(--color-second);
  -webkit-transition: border-top-color 0.15s linear,
    border-right-color 0.15s linear 0.1s, border-bottom-color 0.15s linear 0.2s;
  transition: border-top-color 0.15s linear,
    border-right-color 0.15s linear 0.1s, border-bottom-color 0.15s linear 0.2s;
}
.maha-service-wrap .service-box:hover .spin::after {
  border-left-width: 6px;
  border-right-width: 6px;
  border-top: 6px solid var(--color-second);
  -webkit-transform: rotate(270deg);
  transform: rotate(270deg);
  transition: border-left-width 0s linear 0.35s,
    -webkit-transform 0.4s linear 0s;
  -webkit-transition: border-left-width 0s linear 0.35s,
    -webkit-transform 0.4s linear 0s;
  transition: transform 0.4s linear 0s, border-left-width 0s linear 0.35s;
  transition: transform 0.4s linear 0s, border-left-width 0s linear 0.35s,
    -webkit-transform 0.4s linear 0s;
}

.maha-service-wrap .service-box:hover {
  opacity: 1;
  filter: alpha(opacity=100);
  text-indent: 0;
  /* margin-right: 6px; */
  visibility: visible;
  -webkit-transition: visibility 0.4s ease, margin-right 0.3s ease-out,
    text-indent 0.4s ease-out, color 0.4s ease, opacity 0.4s ease;
  transition: visibility 0.4s ease, margin-right 0.3s ease-out,
    text-indent 0.4s ease-out, color 0.4s ease, opacity 0.4s ease;
}

.maha-service-wrap .spin::before,
.maha-service-wrap .spin::after {
  position: absolute;
  z-index: 1;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  -webkit-box-sizing: inherit;
  box-sizing: inherit;
  content: "";
}
.maha-service-wrap .spin::before {
  border: 6px solid transparent;
  z-index: 20;
}
.maha-service-wrap .spin::after {
  border: 0 solid transparent;
}

.maha-service-wrap .circle {
  border-radius: 100%;
  background-clip: padding-box; /* stops bg color from leaking outside the border: */
  -webkit-box-shadow: none;
  box-shadow: none;
}
.maha-service-wrap .circle::before,
.maha-service-wrap .circle::after {
  border-radius: 100%;
  background-clip: padding-box; /* stops bg color from leaking outside the border: */
}

@media(max-width:991px){
  .maha-service-wrap .service-box {margin-bottom: 30px;}

}

@media(max-width:767px){
  .maha-service-wrap .service-box .box {height: auto;width: auto;}

}